package model

type NewBehavior struct {
	SoftVer  int32   `json:"soft_ver"`
	UUID     string  `json:"uuid"`
	FrameId  int32   `json:"frameid"`
	CowId    string  `json:"cowid"`
	Csq      int32   `json:"csq"`
	Temp     float32 `json:"temp"`
	Imei     string  `json:"imei"`
	NccId    string  `json:"nccid"`
	Active   int32   `json:"active"`
	InActive int32   `json:"inactive"`
	Rumina   int32   `json:"rumina"`
	Intake   int32   `json:"intake"`
	Gasp     int32   `json:"gasp"`
	Other    int32   `json:"other"`
	Remain   int32   `json:"Remain"`
}

type Behavior struct {
	UUID      string `json:"uuid"`
	Ecowid    int32  `json:"ecowid"`
	Frameid   int32  `json:"frameid"`
	High      int32  `json:"High"`
	Intake    int32  `json:"Intake"`
	Rumina    int32  `json:"Rumina"`
	Other     int32  `json:"Other"`
	Activitys int32  `json:"activitys"`
	Inactive  int32  `json:"inactive"`
	Sver      int32  `json:"Sver"`
	Hver      int32  `json:"Hver"`
	Remain    int32  `json:"Remain"`
	STATUS    int32  `json:"STATUS"`
	UpPer     int32  `json:"UpPer"`
	BAT       int32  `json:"BAT"`
	Imei      string `json:"imei"`
}

type NeckRingWrapper struct {
	Type     string `json:"type"`
	NeckRing struct {
		NeckPck []*Behavior `json:"neck"` // neck_pck neck
	} `json:"NeckRing"`
}
