package model

type NeckRingProcess struct {
	Id             int64  `json:"id"`
	HabitId        int64  `json:"habitId"`
	NeckRingNumber string `json:"neckRingNumber"`
	ActiveDate     string `json:"activeDate"`
	Frameid        int32  `json:"frameid"`
	CreatedAt      int64  `json:"createdAt"`
	UpdatedAt      int64  `json:"updatedAt"`
}

func (n *NeckRingProcess) TableName() string {
	return "neck_ring_process"
}

func NewNeckRingProcess(neckActiveHabit *NeckActiveHabit) *NeckRingProcess {
	return &NeckRingProcess{
		HabitId:        neckActiveHabit.Id,
		NeckRingNumber: neckActiveHabit.NeckRingNumber,
		ActiveDate:     neckActiveHabit.HeatDate,
		Frameid:        neckActiveHabit.Frameid,
	}
}
