package route

import (
	"kpt-pasture/http/handler"

	"github.com/gin-gonic/gin"
)

func TestAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// test API 组  测试接口
		testRoute := authRouteGroup(s, "/api/v1/test/")
		testRoute.POST("/cow/neck_ring/bound", handler.CowNeckRingBound)
		testRoute.POST("/cow/pen/update", handler.UpdateCowPen)
	}
}
