package backend

import (
	"context"
	"kpt-pasture/model"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

func (s *StoreEntry) FindPastureByFarmId(ctx context.Context, pastureId int64) *model.AppPastureList {
	res := &model.AppPastureList{}
	if err := s.DB.Table(new(model.AppPastureList).TableName()).
		Where("id = ?", pastureId).
		Where("is_show = ?", pasturePb.IsShow_Ok).
		First(res).Error; err != nil {
		return nil
	}
	return res
}
